Skip to main content
POST
/
actions
/
v1
/
stored-actions
Create a StoredAction
curl --request POST \
  --url https://api.zapier.com/actions/v1/stored-actions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "connection_id": "019320ab-0000-7000-8000-abcdef012345",
    "selected_api": "SplitwiseCLIAPI@1.0.0",
    "action_key": "new_contact",
    "action_type": "read",
    "inputs": {
      "first_name": "John",
      "last_name": "Doe"
    }
  }
}
'
{
  "type": "stored_action",
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication.

Body

application/json
data
object
required

The shape of the payload that must be sent to create a Stored Action.

Only the triple (selected_api, action_type, action_key) is accepted — action_id is intentionally not exposed on this endpoint.

Response

A StoredAction record was successfully created.

The response returned from creating a Stored Action record.

id
string<uuid>
required

The UUID id that identifies this stored action and can be used to execute the stored procedure by calling the POST /stored-actions/{stored_action_id}/run endpoint.

type
string
default:stored_action

Specifies the resource type, as required by the JSON:API specification.